package com.goafanti.order.service;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import com.goafanti.common.model.TOrderBillNew;
import com.goafanti.core.mybatis.page.Pagination;

public interface OrderBillService {
	
	/**
	 * 查看自己的流水
	 * @param billNew
	 * @param pageNo
	 * @param pageSize
	 * @param pageSize2 
	 * @return
	 */
	Pagination<TOrderBillNew> myBillList(TOrderBillNew billNew,  Integer pageNo, Integer pageSize);
	
	/**
	 * 导出流水数据
	 * @param billNew
	 * @return
	 */
	XSSFWorkbook exportBillData(TOrderBillNew billNew);

	int deleteMyBill(String billNo);
}
